org.wso2.carbon.dataservices.sql.driver.query

## Enum QueryFactory.QueryTypes

- java.lang.Object
- - java.lang.Enum<QueryFactory.QueryTypes>
  - - org.wso2.carbon.dataservices.sql.driver.query.QueryFactory.QueryTypes

- All Implemented Interfaces:
    Serializable, Comparable<QueryFactory.QueryTypes>
  Enclosing class:
    QueryFactory

      public static enum QueryFactory.QueryTypes
      extends Enum<QueryFactory.QueryTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `EXCEL`
    `GSPREAD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryFactory.QueryTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryFactory.QueryTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCEL

          public static final QueryFactory.QueryTypes EXCEL

    - #### GSPREAD

          public static final QueryFactory.QueryTypes GSPREAD

    - #### CUSTOM

          public static final QueryFactory.QueryTypes CUSTOM

  - ### Method Detail

    - #### values

          public static QueryFactory.QueryTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryFactory.QueryTypes c : QueryFactory.QueryTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryFactory.QueryTypes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 WSO2. All rights reserved.